2017年9月23日土曜日

PocketMine(pmmp) Minecraft PE1.2対応版phar配布

こんにちは。はにおかさいです。
アプデ対応がつらかったのですが、公式を改造して使用可能な状態にしました。

注意:PHP7.2ですので、Binの更新が必要です。
ソース https://github.com/haniokasai/PocketMine-MP/
phar   http://jenkins.haniokasai.com/job/PocketMine-72/

バイナリ: Linux x64 https://jenkins.pmmp.io/job/PHP-7.2-Linux-x86_64/
Windows https://ci.appveyor.com/api/buildjobs/30k579nj3xn4kc5j/artifacts/php-7.2.0RC2-vc15-x64.zip

本家との違い:
onCommandが旧API仕様なので、プラグインの更新の手間がない。

composerをごまかした

pluginのapiバージョンの無視

0 件のコメント:

コメントを投稿

PocketMineの旧プラグインAPI対応方法

pmmp公式のプラグインAPIが変更となりました。 が、多くのプラグインは新APIに対応していません。 あえて新APIにプラグインを書き直す理由もわからないので、スクリプトを組みました。 Error: Declaration of DevTools\DevTools::...